/*
 * n_utilities.h
 *
 *  Created on: Nov 6, 2015
 *      Author: neilh77
 */

#ifndef APPLICATION_USER_CORE_N_TTYUART_H_
#define APPLICATION_USER_CORE_N_TTYUART_H_

#include "stm32f4xx_hal_def.h"
#include "xprintf.h"

#define DEBUG_QUELG (1)
 void console_init(void);
 inline void dbgUART_IRQHandler(void);

 //HAL_StatusTypeDef dbg_wr_str(const uint8_t *buf_in);
 HAL_StatusTypeDef ttyHalPuts(uint8_t *chStr);
 HAL_StatusTypeDef ttyHalPutc( uint8_t ch);

/* User can use this section to tailor USARTx/UARTx instance used and associated
   resources */
/* Definition for USARTx clock resources
 *
 * DebugUsart1_RX/TX PA10/PA9
 * */
#define USARTx                           USART1
#define USARTx_CLK_ENABLE()              __HAL_RCC_USART1_CLK_ENABLE();
#define USARTx_RX_GPIO_CLK_ENABLE()      __HAL_RCC_GPIOA_CLK_ENABLE()
#define USARTx_TX_GPIO_CLK_ENABLE()      __HAL_RCC_GPIOA_CLK_ENABLE()

#define USARTx_FORCE_RESET()             __HAL_RCC_USART1_FORCE_RESET()
#define USARTx_RELEASE_RESET()           __HAL_RCC_USART1_RELEASE_RESET()

/* Definition for USARTx Pins */
#define USARTx_TX_PIN                    GPIO_PIN_9
#define USARTx_TX_GPIO_PORT              GPIOA
#define USARTx_TX_AF                     GPIO_AF7_USART1
#define USARTx_RX_PIN                    GPIO_PIN_10
#define USARTx_RX_GPIO_PORT              GPIOA
#define USARTx_RX_AF                     GPIO_AF7_USART1

/* Definition for USARTx's NVIC */
#define USARTx_IRQn                      USART1_IRQn
#define USARTx_IRQHandler                USART1_IRQHandler

/* Size of Transmission buffer */
#define TXSTARTMESSAGESIZE                   (COUNTOF(aTxStartMessage) - 1)
#define TXENDMESSAGESIZE                     (COUNTOF(aTxEndMessage) - 1)

/* Size of Reception buffer */
#define RXBUFFERSIZE                      10


#endif /* APPLICATION_USER_CORE_N_TTYUART_H_ */
